DTEST(3)

SYNOPSIS
SUBROUTINE DTEST (LEN, DCOMP, DTRUE, DSIZE, DFAC, KPRINT)

NAME
dtest - Compare arrays DCOMP and DTRUE.

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (STEST-S, DTEST-D)

KEYWORDS
QUICK CHECK

AUTHOR
Lawson, C. L., (JPL)

DESCRIPTION
This subroutine compares arrays DCOMP and DTRUE of length LEN to see if the term by term differences, multiplied by DFAC, are negligible. In the case of a significant difference, appropriate messages are written.

ROUTINES CALLED
D1MACH

COMMON BLOCKS
COMBLA

REVISION HISTORY (YYMMDD)
741210 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900820 Modified IF test to use function DDIFF and made cosmetic changes to routine. (WRB)
901005 Removed usage of DDIFF in favour of D1MACH. (RWC)
910501 Added TYPE record. (WRB)
920211 Code restructured and information added to the DESCRIPTION section. (WRB)